(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     53561,       1601]
NotebookOptionsPosition[     45388,       1328]
NotebookOutlinePosition[     45791,       1345]
CellTagsIndexPosition[     45748,       1342]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
       "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
         "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
         "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", 
        "**"}], "*", "\n", "\n", "    ", "This", " ", "file", " ", "is", " ", 
       "part", " ", "of", " ", "the", " ", "AtomicDensityMatrix", " ", 
       "package", " ", "for", " ", "Mathematica", "\n", "    ", "Copyright", 
       " ", 
       RowBox[{"(", "C", ")"}], " ", "2004"}], "-", 
      RowBox[{"2014", " ", "Simon", " ", 
       RowBox[{"M", ".", " ", "Rochester"}]}]}], " ", "<", 
     RowBox[{
      RowBox[{"simon", "@", "rochesterscientific"}], ".", "com"}], ">", "\n", 
     "\n", "    ", 
     RowBox[{"This", " ", "program", " ", "is", " ", "free", " ", 
      RowBox[{"software", ":", " ", 
       RowBox[{"you", " ", "can", " ", "redistribute", " ", "it", " ", 
        RowBox[{"and", "/", "or"}], " ", "modify", "\n", "    ", "it", " ", 
        "under", " ", "the", " ", "terms", " ", "of", " ", "the", " ", "GNU", 
        " ", "General", " ", "Public", " ", "License", " ", "as", " ", 
        "published", " ", "by", "\n", "    ", "the", " ", "Free", " ", 
        "Software", " ", "Foundation"}]}]}]}], ",", " ", 
    RowBox[{
    "either", " ", "version", " ", "3", " ", "of", " ", "the", " ", 
     "License"}], ",", " ", 
    RowBox[{"or", "\n", "    ", 
     RowBox[{"(", 
      RowBox[{"at", " ", "your", " ", "option"}], ")"}], " ", "any", " ", 
     "later", " ", 
     RowBox[{"version", ".", "\n", "\n", "    ", "This"}], " ", "program", 
     " ", "is", " ", "distributed", " ", "in", " ", "the", " ", "hope", " ", 
     "that", " ", "it", " ", "will", " ", "be", " ", "useful"}], ",", "\n", 
    "    ", 
    RowBox[{
     RowBox[{"but", " ", "WITHOUT", " ", "ANY", " ", "WARRANTY"}], ";", " ", 
     RowBox[{
     "without", " ", "even", " ", "the", " ", "implied", " ", "warranty", " ",
       "of", "\n", "    ", "MERCHANTABILITY", " ", "or", " ", "FITNESS", " ", 
      "FOR", " ", "A", " ", "PARTICULAR", " ", 
      RowBox[{"PURPOSE", ".", "  ", "See"}], " ", "the", "\n", "    ", "GNU", 
      " ", "General", " ", "Public", " ", "License", " ", "for", " ", "more", 
      " ", 
      RowBox[{"details", ".", "\n", "\n", "    ", "You"}], " ", "should", " ",
       "have", " ", "received", " ", "a", " ", "copy", " ", "of", " ", "the", 
      " ", "GNU", " ", "General", " ", "Public", " ", "License", "\n", "    ",
       "along", " ", "with", " ", "this", " ", 
      RowBox[{"program", ".", "  ", "If"}], " ", "not"}]}], ",", " ", 
    RowBox[{
     RowBox[{"see", " ", "<", 
      RowBox[{"http", ":"}]}], "//", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"www", ".", "gnu", ".", "org"}], "/", "licenses"}], "/"}], 
      ">", "."}]}]}], "\n", "\n", 
   "**************************************************************************)"}\
], "\n"}]], "Code"],

Cell[CellGroupData[{

Cell["Usage Messages", "Title"],

Cell[CellGroupData[{

Cell["Messing with System` symbols", "Section"],

Cell[CellGroupData[{

Cell["Information[] bug", "Subsection"],

Cell[TextData[{
 "Fix for general ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " bug in Information[]. "
}], "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"System`Dump`fixmessagestring", "[", "System`Dump`s_", "]"}], ":=", 
  
  RowBox[{"ToString", "@", 
   RowBox[{"InputForm", "@", "System`Dump`s"}]}]}]], "Input",
 InitializationCell->True],

Cell["Original Definition:", "Text"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"System`Dump`fixmessagestring", "[", "System`Dump`s_", "]"}], ":=",
    
   RowBox[{"\"\<\\\"\>\"", "<>", 
    RowBox[{"StringReplace", "[", 
     RowBox[{"System`Dump`s", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<\\n\>\"", "\[Rule]", "\"\<\\\\n\>\""}], ",", 
        RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}], ",", 
        RowBox[{"\"\<\\\"\>\"", "\[Rule]", "\"\<\\\\\\\"\>\""}]}], "}"}]}], 
     "]"}], "<>", "\"\<\\\"\>\""}]}], "*)"}]], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Overload WignerD", "Subsection"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Unprotect", " ", "WignerD", " ", "if", " ", "defined"}], 
  "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"$VersionNumber", "\[GreaterEqual]", "8."}], ",", 
   RowBox[{
   "ToExpression", "[", "\"\<Unprotect[WignerD];WignerD[{1,1,1},0]\>\"", 
    "]"}]}], "]"}]], "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Interface", "Section"],

Cell["This part declares publicly visible symbols.", "Text"],

Cell[CellGroupData[{

Cell["Begin package context", "Subsection"],

Cell[BoxData[
 RowBox[{"BeginPackage", "[", "\"\<AtomicDensityMatrix`\>\"", "]"}]], "Input",\

 InitializationCell->True],

Cell[BoxData[
 RowBox[{"Unprotect", "[", 
  RowBox[{"Evaluate", "[", 
   RowBox[{"$Context", "<>", "\"\<*\>\""}], "]"}], "]"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], "*)"}]], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Usage messages for AtomicData.m", "Subsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"AtomicData", "::", "usage"}], "=", 
   "\"\<AtomicData[state,type] gives data of the requested type for the \
atomic state specified. AtomicData[type] gives a list of atomic states in the \
database for which information of the specified type is available.  \
AtomicData[state] gives any information on state of types specified in the \
global variable $AtomicDataFields.\>\""}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AtomicTransition", "::", "usage"}], "=", 
   "\"\<AtomicTransition[\\!\\(\\*\nStyleBox[\\\"atom\\\", \\\"TI\\\"]\\),\\!\
\\(\\*\nStyleBox[\\\"line\\\", \\\"TI\\\"]\\)]\n returns the designations of \
the two states involved in the transition specified by the strings \\!\\(\\*\n\
StyleBox[\\\"atom\\\", \\\"TI\\\"]\\) and \\!\\(\\*\nStyleBox[\\\"line\\\", \
\\\"TI\\\"]\\).\>\""}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$AtomicDataFields", "::", "usage"}], "=", 
   "\"\<$AtomicDataFields contains a list of data types (fields) in the \
AtomicData database.\>\""}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ElementName", "::", "usage"}], "=", 
  "\"\<ElementName is a type of data for AtomicData, giving the name of the \
element.\>\""}]}], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"ElementSymbol", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"AtomicNumber", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"AtomicWeight", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Abundance", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Wavenumber", "::", "usage"}], "=", 
  "\"\<Wavenumber[state] returns the spectroscopic wavenumber \
\!\(\*OverscriptBox[\(\[Nu]\), \(_\)]\) = \[Omega]/(2\[Pi]c).\>\""}]], "Input",\

 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"DopplerWidth", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"MostProbableSpeed", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Usage messages for AtomicSystem.m", "Subsection",
 InitializationGroup -> True],

Cell[BoxData[
 RowBox[{
  RowBox[{"AtomicState", "::", "usage"}], "=", 
  "\"\<AtomicState[\\!\\(\\*\nStyleBox[\\\"label\\\", \\\"TI\\\"]\\)] \
represents an atomic state labeled by \\!\\(\\*\nStyleBox[\\\"label\\\", \
\\\"TI\\\"]\\).\nAtomicState[\\!\\(\\*\nStyleBox[\\\"label\\\", \
\\\"TI\\\"]\\),\\!\\(\\*SubscriptBox[\nStyleBox[\\\"param\\\", \\\"TI\\\"], \
\\\"1\\\"]\\)->\\!\\(\\*SubscriptBox[\nStyleBox[\\\"value\\\", \\\"TI\\\"], \
\\\"1\\\"]\\),\\!\\(\\*SubscriptBox[\nStyleBox[\\\"param\\\", \\\"TI\\\"], \\\
\"2\\\"]\\)->\\!\\(\\*SubscriptBox[\nStyleBox[\\\"value\\\", \\\"TI\\\"], \
\\\"2\\\"]\\),\[Ellipsis]] represents an atomic state with specified values \
for one or more state parameters.\nPossible state parameters are S, L, J, \
NuclearSpin, F, M, Parity, Energy, NaturalWidth, GFactor, BranchingRatio, \
HyperfineA, HyperfineB, and Polarizability.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"GroundStates", "::", "usage"}], "=", "\"\<GroundStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\)] returns the list of AtomicState objects from \
atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) for which GroundStateQ gives True.\>\""}]], \
"Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"ExcitedStates", "::", "usage"}], "=", "\"\<ExcitedStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\)] returns the list of AtomicState objects from \
atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) for which GroundStateQ gives False.\>\""}]], \
"Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"StateMatchQ", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"StatePosition", "::", "usage"}], "=", "\"\<StatePosition[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\)] returns the positions of the AtomicState \
objects in the atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) whose parameters satisfy the boolean expression \
\!\(\*
StyleBox[\"crit\", \"TI\"]\). The parameter \!\(\*
StyleBox[\"crit\", \"TI\"]\) is specified in the form, e.g, \
StateLabel==2&&F==3. If all the states with a particular label are desired, \
the shorthand StatePosition[sys,label] can be used.\>\""}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"True", " ", "but", " ", 
    RowBox[{
    "deprecated", ":", " ", 
     "\"\<The criteria can also be specified using Rule in place of Equal, \
and if multiple criteria are specified they must all be satisfied. Thus, for \
example, StatePosition[sys,StateLabel==2&&F==3], \
StatePosition[sys,StateLabel->2&&F->3], and \
StatePosition[sys,StateLabel->2,F->3] are all equivalent.\>\""}]}], 
   "*)"}]}]}], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"SelectStates", "::", "usage"}], "=", "\"\<SelectStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\)] returns the list of the AtomicState objects in \
the atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) whose parameters satisfy the boolean expression \
\!\(\*
StyleBox[\"crit\", \"TI\"]\). The parameter \!\(\*
StyleBox[\"crit\", \"TI\"]\) is specified in the form, e.g, \
StateLabel==2&&F==3. If all the states with a particular label are desired, \
the shorthand StatePosition[sys,label] can be used.\n\nSelectStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\),\!\(\*
StyleBox[\"n\", \"TI\"]\)] returns the first \!\(\*
StyleBox[\"n\", \"TI\"]\) AtomicStates whose parameters satisfy \!\(\*
StyleBox[\"crit\", \"TI\"]\).\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"SelectState", "::", "usage"}], "=", "\"\<SelectState[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\)] is equivalent to SelectStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\),1\!\(\*
StyleBox[\"]\", \"TI\"]\).\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"DeleteStates", "::", "usage"}], "=", "\"\<DeleteStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\)] deletes the AtomicState objects from the atomic \
system \!\(\*
StyleBox[\"sys\", \"TI\"]\) whose parameters satisfy the boolean expression \
\!\(\*
StyleBox[\"crit\", \"TI\"]\). The parameter \!\(\*
StyleBox[\"crit\", \"TI\"]\) is specified in the form, e.g, \
StateLabel==2&&F==3. If all the states with a particular label are desired, \
the shorthand StatePosition[sys,label] can be used.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"SublevelMultiplicity", "::", "usage"}], "=", 
  "\"\<SublevelMultiplicity[\!\(\*
StyleBox[\"state\", \"TI\"]\)], where \!\(\*
StyleBox[\"state\", \"TI\"]\) is an AtomicState object, returns the number of \
magnetic sublevels corresponding to the F, J, and NuclearSpin quantum numbers \
of \!\(\*
StyleBox[\"state\", \"TI\"]\). If F is defined, (2F+1) is returned; otherwise \
(2J+1)(2NuclearSpin+1) is returned, where NuclearSpin is assumed to be zero \
if it is not defined.\n\nSublevelMultiplicity[\!\(\*
StyleBox[\"system\", \"TI\"]\)], where \!\(\*
StyleBox[\"system\", \"TI\"]\) is a list of AtomicState objects, returns the \
total number of unique magnetic sublevels of all of the states, as given by J \
and NuclearSpin of each AtomicState. Any F quantum numbers that may be \
defined are ignored, and only one AtomicState corresponding to each unique \
StateLabel is considered.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"F", "::", "usage"}], "=", 
  "\"\<F is a parameter specified in an AtomicState expression that specifies \
the total angular momentum (electronic plus nuclear) for the state. The value \
must be integer or half-integer.\nF[\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\
\\\"]\\)] returns the value specified for F in AtomicState \\!\\(\\*\n\
StyleBox[\\\"state\\\", \\\"TI\\\"]\\), or J[\\!\\(\\*\n\
StyleBox[\\\"state\\\", \\\"TI\\\"]\\)] if it is not specified.\>\""}]], \
"Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"M", "::", "usage"}], "=", 
  "\"\<M is a parameter specified in an AtomicState expression that specifies \
the z-projection of the total angular momentum for the state. The value must \
be integer or half-integer.\nM[\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\
\\)] returns the value specified for M in AtomicState \\!\\(\\*\n\
StyleBox[\\\"state\\\", \\\"TI\\\"]\\), or M[StateLabel[\\!\\(\\*\n\
StyleBox[\\\"state\\\", \\\"TI\\\"]\\)]] if it is not specified.\>\""}]], \
"Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Polarizability", "::", "usage"}], "=", 
  "\"\<Polarizability[\\!\\(\\*\nStyleBox[\\\"k\\\", \\\"TI\\\"]\\)] is a \
parameter specified in an AtomicState expression that specifies the scalar \
(\\!\\(\\*\nStyleBox[\\\"k\\\", \\\"TI\\\"]\\)=0), vector (\\!\\(\\*\n\
StyleBox[\\\"k\\\", \\\"TI\\\"]\\)=1), or tensor (\\!\\(\\*\nStyleBox[\\\"k\\\
\", \\\"TI\\\"]\\)=2) polarizability for the state. The value can be numeric \
or symbolic. \nPolarizability[\\!\\(\\*\nStyleBox[\\\"k\\\", \\\"TI\\\"]\\)][\
\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\)] returns the corresponding \
specified value for the polarizability of AtomicState \\!\\(\\*\n\
StyleBox[\\\"state\\\", \\\"TI\\\"]\\), or Polarizability[\\!\\(\\*\n\
StyleBox[\\\"k\\\", \\\"TI\\\"]\\)][StateLabel[\\!\\(\\*\n\
StyleBox[\\\"state\\\", \\\"TI\\\"]\\)]] if it is not specified.\>\""}]], \
"Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"GFactor", "::", "usage"}], "=", 
  "\"\<GFactor is a parameter specified in an AtomicState expression that \
specifies the g-factor for the state.\nGFactor[\\!\\(\\*\n\
StyleBox[\\\"state\\\", \\\"TI\\\"]\\)] returns the value specified for F in \
AtomicState \\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\), or \
GFactor[StateLabel[\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\)]] if it \
is not specified.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"TransitionPolarizability", "::", "usage"}], "=", 
  "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"BranchingRatio", "::", "usage"}], "=", 
  "\"\<BranchingRatio[\\!\\(\\*\nStyleBox[\\\"label\\\", \\\"TI\\\"]\\)] is a \
parameter specified in an AtomicState expression that specifies the branching \
ratio to another state with label \\!\\(\\*\nStyleBox[\\\"label\\\", \\\"TI\\\
\"]\\).\nBranchingRatio[\\!\\(\\*\nStyleBox[\\\"label\\\", \
\\\"TI\\\"]\\)][\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\)] returns \
the value specified for the branching ratio to the state with label \\!\\(\\*\
\nStyleBox[\\\"label\\\", \\\"TI\\\"]\\)\\!\\(\\*\nStyleBox[\\\" \\\", \\\"TI\
\\\"]\\)in AtomicState \\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\), or \
BranchingRatio[\\!\\(\\*\nStyleBox[\\\"label\\\", \\\"TI\\\"]\\)][StateLabel[\
\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\)]] if it is not specified.\>\
\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"GroundStateQ", "::", "usage"}], "=", 
  "\"\<GroundStateQ[\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\)] \
returns True if NaturalWidth[\\!\\(\\*\nStyleBox[\\\"state\\\", \
\\\"TI\\\"]\\)] is zero, and False otherwise.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"LevelPosition", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"t", "::", "usage"}], "=", 
  "\"\<t is the default value for the option TimeVariable in DensityMatrix \
and other functions.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"StateLabel", "::", "usage"}], "=", 
  "\"\<StateLabel[\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\)] returns \
the label (the first argument) for the AtomicState \\!\\(\\*\n\
StyleBox[\\\"state\\\", \\\"TI\\\"]\\).\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"StateParameters", "::", "usage"}], "=", 
  "\"\<StateParameters[\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\)] \
returns the state parameters of the AtomicState \\!\\(\\*\nStyleBox[\\\"state\
\\\", \\\"TI\\\"]\\).\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"MapOnParameters", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"StateParameterPattern", "::", "usage"}], "=", 
  "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"StateParameterQ", "::", "usage"}], "=", 
  "\"\<StateParameterQ[\\!\\(\\*\nStyleBox[\\\"expr\\\", \\\"TI\\\"]\\)] \
returns True if \\!\\(\\*\nStyleBox[\\\"expr\\\", \\\"TI\\\"]\\) is a valid \
parameter for an AtomicState expression, and False otherwise.\>\""}]], "Input",\

 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"AtomicSystemQ", "::", "usage"}], "=", 
  "\"\<AtomicSystemQ[\\!\\(\\*\nStyleBox[\\\"expr\\\", \\\"TI\\\"]\\)] \
returns True if \\!\\(\\*\nStyleBox[\\\"expr\\\", \\\"TI\\\"]\\) is a list of \
AtomicState objects, and False otherwise.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"DefinedQ", "::", "usage"}], "=", 
  "\"\<DefinedQ[\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\),\\!\\(\\*\n\
StyleBox[\\\"param\\\", \\\"TI\\\"]\\)] returns True if state parameter \
\\!\\(\\*\nStyleBox[\\\"param\\\", \\\"TI\\\"]\\) is specified in AtomicState \
\\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\), and False otherwise.\n\
DefinedQ[\\!\\(\\*\nStyleBox[\\\"state\\\", \
\\\"TI\\\"]\\),{\\!\\(\\*SubscriptBox[\nStyleBox[\\\"param\\\", \\\"TI\\\"], \
\\\"1\\\"]\\),\\!\\(\\*SubscriptBox[\nStyleBox[\\\"param\\\", \\\"TI\\\"], \\\
\"2\\\"]\\),\[Ellipsis]}] returns True if all of the \\!\\(\\*\n\
StyleBox[SubscriptBox[\\\"param\\\", \\\"i\\\"], \\\"TI\\\"]\\) are specified \
in \\!\\(\\*\nStyleBox[\\\"state\\\", \\\"TI\\\"]\\), and False otherwise.\n\
DefinedQ[{\\!\\(\\*SubscriptBox[\nStyleBox[\\\"state\\\", \\\"TI\\\"], \
\\\"1\\\"]\\),\\!\\(\\*SubscriptBox[\nStyleBox[\\\"state\\\", \\\"TI\\\"], \\\
\"2\\\"]\\),\[Ellipsis]},\\!\\(\\*\nStyleBox[\\\"param\\\", \\\"TI\\\"]\\)] \
checks if \\!\\(\\*\nStyleBox[\\\"param\\\", \\\"TI\\\"]\\) is specified in \
all of the states.\nDefinedQ behaves analogously with region parameters and \
regions in place of state parameters and states.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"DeleteParameter", "::", "usage"}], "=", 
  "\"\<DeleteParameter[\\!\\(\\*\nStyleBox[\\\"state\\\", \
\\\"TI\\\"]\\),\\!\\(\\*\nStyleBox[\\\"param\\\", \\\"TI\\\"]\\)] deletes any \
specification for state parameter \\!\\(\\*\nStyleBox[\\\"param\\\", \\\"TI\\\
\"]\\) from the AtomicState \\!\\(\\*\nStyleBox[\\\"state\\\", \
\\\"TI\\\"]\\).\nIf a list of states is supplied, the parameter is deleted \
from all of the states. If a list of parameters is supplied, all of the \
parameters are deleted.\nDeleteParameter behaves analogously with region \
parameters and regions in place of state parameters and states.\>\""}]], \
"Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"AddParameter", "::", "usage"}], "=", 
  "\"\<AddParameter[\\!\\(\\*\nStyleBox[\\\"state\\\", \
\\\"TI\\\"]\\),\\!\\(\\*\nStyleBox[\\\"param\\\", \\\"TI\\\"]\\)->\\!\\(\\*\n\
StyleBox[\\\"value\\\", \\\"TI\\\"]\\)] adds the supplied parameter \
specification to AtomicState \\!\\(\\*\nStyleBox[\\\"state\\\", \
\\\"TI\\\"]\\), or replaces the existing specification.\nAddParameter behaves \
analogously with region parameters and regions in place of state parameters \
and states.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReplaceMatrixElement", "::", "usage"}], "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetSystemType", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"AtomicSystemType", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"LevelLabel", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"SublevelLabel", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"HyperfineSublevels", "::", "usage"}], "=", 
  "\"\<HyperfineSublevels[{\\!\\(\\*SubscriptBox[\nStyleBox[\\\"state\\\", \\\
\"TI\\\"], \\\"1\\\"]\\),\\!\\(\\*SubscriptBox[\nStyleBox[\\\"state\\\", \
\\\"TI\\\"], \\\"2\\\"]\\),\[Ellipsis]}] returns a list of AtomicState \
objects in which each \\!\\(\\*\nStyleBox[SubscriptBox[\\\"state\\\", \\\"i\\\
\"], \\\"TI\\\"]\\) that has a specified J and NuclearSpin parameter has been \
expanded into states representing each hyperfine sublevel of the \
state.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"ZeemanSublevels", "::", "usage"}], "=", 
  "\"\<Sublevels[{\\!\\(\\*SubscriptBox[\nStyleBox[\\\"state\\\", \
\\\"TI\\\"], \\\"1\\\"]\\),\\!\\(\\*SubscriptBox[\nStyleBox[\\\"state\\\", \\\
\"TI\\\"], \\\"2\\\"]\\),\[Ellipsis]}] returns a list of AtomicState objects \
in which each \\!\\(\\*\nStyleBox[SubscriptBox[\\\"state\\\", \\\"i\\\"], \
\\\"TI\\\"]\\) that has a specified J or F parameter has been expanded into \
states representing each Zeeman sublevel of the state.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Sublevels", "::", "usage"}], "=", 
  "\"\<Sublevels[{\\!\\(\\*SubscriptBox[\nStyleBox[\\\"state\\\", \
\\\"TI\\\"], \\\"1\\\"]\\),\\!\\(\\*SubscriptBox[\nStyleBox[\\\"state\\\", \\\
\"TI\\\"], \\\"2\\\"]\\),\[Ellipsis]}] returns a list of AtomicState objects \
in which each \\!\\(\\*\nStyleBox[SubscriptBox[\\\"state\\\", \\\"i\\\"], \
\\\"TI\\\"]\\) that has a specified J and NuclearSpin parameter has been \
expanded into states representing each hyperfine sublevel of the state, and \
each state that has a specified J or F parameter has been expanded into \
states representing each Zeeman sublevel of the state.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"RemoveZeemanSublevels", "::", "usage"}], "=", 
  "\"\<RemoveZeemanSublevels[\\!\\(\\*\nStyleBox[\\\"syst\\\", \
\\\"TI\\\"]\\)] replaces sublists of the atomic system (list of AtomicState \
objects) \\!\\(\\*\nStyleBox[\\\"syst\\\", \\\"TI\\\"]\\) that are identical \
apart from their M value with a single state with no M value \
specified.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"ZeemanSystem", "::", "usage"}], "=", 
  "\"\<ZeemanSystem[\\!\\(\\*\nStyleBox[\\\"j\\\", \\\"TI\\\"]\\)] returns a \
list of AtomicState objects describing the Zeeman sublevels of an atomic \
system with angular momentum \\!\\(\\*\nStyleBox[\\\"j\\\", \\\"TI\\\"]\\).\n\
ZeemanSystem[\\!\\(\\*\nStyleBox[\\\"label\\\", \\\"TI\\\"]\\),\\!\\(\\*\n\
StyleBox[\\\"j\\\", \\\"TI\\\"]\\)] provides a specific label for the \
AtomicState objects.\>\""}]], "Input",
 InitializationCell->True],

Cell[CellGroupData[{

Cell["Other messages for AtomicSystem.m", "Subsubsection",
 InitializationGroup -> True],

Cell[BoxData[
 RowBox[{
  RowBox[{"AtomicSystemType", "::", "difftypes"}], "=", 
  "\"\<All atomic states in the system are not of the same type, `1`, as the \
first state.\>\""}]], "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Usage messages for DensityMatrix.m", "Subsection",
 InitializationGroup -> True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DMElementPattern", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"DMElementPartPattern", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"DMElement", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"DMElementPart", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Subscripts", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"M1", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"M2", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"F1", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"F2", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"DMLabel", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"TimeDerivative", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"StateLabel1", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"StateLabel2", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ReImPart", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"State1", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"State2", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Time", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"LevelLabelPattern", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"LevelLabelPattern1", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"LevelLabelPattern2", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"LabelPattern", "::", "usage"}], "=", "\"\<\>\""}], "*)"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Ket", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"TimeDependence", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"DensityMatrix", "::", "usage"}], "=", 
   "\"\<DensityMatrix[sys] forms the density matrix for an atomic system \
(list of AtomicState objects) sys.\>\""}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"DMSymbol", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ComplexExpandVariables", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]", "::", "usage"}], "=", 
   "\"\<Default variable used for the density matrix.\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"TimeVariable", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"DMVariables", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ExpandDMVariablesRule", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ExprToReIm", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Representation", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ReImToSubscriptRule", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ReImFromSubscriptRule", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"ERI", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "Input",
 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Usage messages for PolarizationMoments.m", "Subsection",
 InitializationGroup -> True],

Cell[CellGroupData[{

Cell["Tensor decomposition", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Decomposition", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 

 RowBox[{
  RowBox[{
   RowBox[{"Recomposition", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"PolarizationMatrices", "::", "usage"}], "=", 
  "\"\<\>\""}]}], "Input",
 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Angular momentum probability distribution", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]JJ", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"MaxProjectionProbability", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"AMPSPlot", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "Input",
 InitializationCell->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Usage messages for OpticalField.m", "Subsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"standardizeField", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"OpticalField", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"PolarizationVector", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"PropagationVector", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"CartesianCoordinates", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Parameterization", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ReparameterizeField", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"!", 
    RowBox[{"MemberQ", "[", 
     RowBox[{
      RowBox[{"Contexts", "[", "]"}], ",", "\"\<VectorAnalysis`\>\""}], 
     "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{
   "ToExpression", "[", "\[IndentingNewLine]", 
    "\"\<Xx::usage=\\\"\\\";\[IndentingNewLine]Yy::usage=\\\"\\\";\
\[IndentingNewLine]Zz::usage=\\\"\\\";\>\"", "]"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 InitializationCell->True],

Cell[CellGroupData[{

Cell["Other messages for OpticalField.m", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"OpticalField", "::", "trans"}], "=", 
  "\"\<PolarizationVector `1` must be transverse to PropagationVector \
`2`.\>\""}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Usage messages for Hamiltonian.m", "Subsection",
 InitializationGroup -> True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Energies", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"TransitionFrequencies", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Hamiltonian", "::", "usage"}], "=", "\"\<\>\""}], "\n", "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"ElectricField", "::", "usage"}], "=", 
    RowBox[{
    "\"\<\>\"", " ", "Declaration", " ", "moved", " ", "to", " ", 
     "Common`"}]}], "*)"}], "\n", "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"MagneticField", "::", "usage"}], "=", 
    RowBox[{
    "\"\<\>\"", " ", "Declaration", " ", "moved", " ", "to", " ", 
     "Common`"}]}], "*)"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Interaction", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Internal", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"E1", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Magnetic", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"InternalHamiltonian", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"E1Hamiltonian", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 

 RowBox[{
  RowBox[{
   RowBox[{"MagneticHamiltonian", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"PolarizabilityHamiltonian", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"TransitionPolarizabilityHamiltonian", "::", "usage"}], "=", 
  "\"\<\>\""}], "\n"}], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Usage messages for RotatingWaveApproximation.m", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"EffectiveHamiltonian", "::", "usage"}], "=", 
  "\"\<EffectiveHamiltonian[h,u,t] returns the effective Hamiltonian \
corresponding to the Hamiltonian h under a (possibly time dependent) \
transformation u, assuming time variable t.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"DropFastTerms", "::", "usage"}], "=", 
  "\"\<DropFastTerms[expr,omega,t] sets terms in expr sinusoidally \
oscillating at twice the frequency omega (assuming time variable t) to zero.\n\
DropFastTerms[expr,{\!\(\*SubscriptBox[\(omega\), \
\(1\)]\),\!\(\*SubscriptBox[\(omega\), \(2\)]\),...},t] drops terms \
oscillating at twice any of the \!\(\*SubscriptBox[\(omega\), \
\(i\)]\).\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReturnFrequencyReplacements", "::", "usage"}], 
  "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"RotatingWaveTransformMatrix", "::", "usage"}], "=", 
  "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"RotatingWaveTransform", "::", "usage"}], "=", 
  "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"TransformMatrix", "::", "usage"}], "=", 
  "\"\<TransformMatrix is an option for RotatingWaveApproximation and related \
functions that can be used to explicitly specify the unitary transformation \
to the rotating frame.\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"DMFromRotatingDM", "::", "usage"}], "=", "\"\<\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"RotatingWaveApproximation", "::", "usage"}], "=", 
  "\"\<RotatingWaveApproximation[sys,h,{\[Omega],tr}] performs the \
rotating-wave approximation on a Hamiltonian h for an atomic system sys \
subject to an optical field with angular frequency \[Omega] acting on \
transitions tr. Transitions are specified by \!\(\*SubscriptBox[\(crit\), \
\(lower\)]\)\[Rule]\!\(\*SubscriptBox[\(crit\), \(upper\)]\), where \
\!\(\*SubscriptBox[\(crit\), \(lower\)]\) and \!\(\*SubscriptBox[\(crit\), \
\(upper\)]\) are state selection criteria for the lower and upper states in \
the optical transition, specified as in the documentation for StatePosition. \
Each transition specification also accepts a list of transitions.\n\
RotatingWaveApproximation[sys,h,{{\!\(\*SubscriptBox[\(\[Omega]\), \
\(1\)]\),\!\(\*SubscriptBox[\(tr\), \
\(1\)]\)},{\!\(\*SubscriptBox[\(\[Omega]\), \
\(2\)]\),\!\(\*SubscriptBox[\(tr\), \(2\)]\)},...}] performs the RWA assuming \
multiple optical fields with angular frequencies \
\!\(\*SubscriptBox[\(\[Omega]\), \(i\)]\), acting on transitions \
\!\(\*SubscriptBox[\(tr\), \(i\)]\).\n\
RotatingWaveApproximation[sys,h,{{\!\(\*SubscriptBox[\(\[Omega]\), \
\(1\)]\),\!\(\*SubscriptBox[\(tr\), \(1\)]\),\!\(\*SubscriptBox[\(\
\[CapitalDelta]\), \(1\)]\)},{\!\(\*SubscriptBox[\(\[Omega]\), \
\(2\)]\),\!\(\*SubscriptBox[\(tr\), \(2\)]\),\!\(\*SubscriptBox[\(\
\[CapitalDelta]\), \(2\)]\)},...}] writes optical frequencies in terms of \
their detunings \!\(\*SubscriptBox[\(\[CapitalDelta]\), \(i\)]\) from \
resonance after performing the RWA.\n\
RotatingWaveApproximation[sys,h,\[Omega]] performs the RWA using an \
automatically generated transformation appropriate for a single optical \
field.\nRotatingWaveApproximation[sys,h,{\!\(\*SubscriptBox[\(\[Omega]\), \(1\
\)]\),\!\(\*SubscriptBox[\(\[Omega]\), \(2\)]\),...},TransformMatrix->u] \
performs the RWA using an explicity specified unitary transformation \
matrix.\>\""}]], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Usage messages for LiouvilleEquation.m", "Subsection",
 InitializationGroup -> True],

Cell[CellGroupData[{

Cell["Relaxation and repopulation", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"IntrinsicRelaxation", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"TransitRelaxation", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Relaxation", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"TransitRepopulation", "::", "usage"}], "=", 
   "\"\<TransitRepopulation[\\!\\(\\*\nStyleBox[\\\"sys\\\", \
\\\"TI\\\"]\\),\\!\\(\\*\nStyleBox[\\\"gamma\\\", \\\"TI\\\"]\\)] returns a \
matrix describing the appearence of unpolarized atoms in the ground state of \
atomic system \\!\\(\\*\nStyleBox[\\\"sys\\\", \\\"TI\\\"]\\) due to transit \
into the experimental volume at rate \\!\\(\\*\nStyleBox[\\\"gamma\\\", \
\\\"TI\\\"]\\). The ground states of sys are assumed to be those that have \
NaturalWidth->0. This matrix is suitable for use as an argument in the \
function LiouvileEquation.\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"OpticalRepopulationOperator", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"OpticalRepopulation", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"OpticalRepopulationPM", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"OpticalRepopulationZ", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"HyperfineCoherenceTransfer", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"Repopulation", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "Input",\

 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["FluorescenceOperator", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FluorescenceOperator", "::", "\"\<usage\>\""}], "\n"}]], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Density matrix evolution equation", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"LiouvilleRHS", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"LiouvilleEquation", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"InitialConditions", "::", "usage"}], "=", 
  "\"\<\>\""}], "\n"}], "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Usage messages for Observables.m", "Subsection",
 InitializationGroup -> True],

Cell[CellGroupData[{

Cell["Solution of wave equation", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"WaveEqnSolution", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}]], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Find dipole polarization", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Observables", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"PolarizationComponents", "::", "usage"}], "=", 
  "\"\<\>\""}], "\[IndentingNewLine]"}], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["LinearAbsorption", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Voigt", "::", "usage"}], "=", "\"\<\>\""}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"InternalEnergy", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"LinearAbsorption", "::", "usage"}], "=", 
  "\"\<\>\""}], "\n"}], "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Usage messages for ExperimentalSystem.m", "Subsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Region", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TransitRate", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"VoidRegion", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Density", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"OpticalParameters", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RegionParameters", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RegionParameterPattern", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RegionParameterQ", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ExperimentalSystemQ", "::", "usage"}], "=", "\"\<\>\""}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SelectRegions", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"RegionLabel", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"SelectRegion", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"DeleteRegions", "::", "usage"}], "=", "\"\<\>\""}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"RegionPosition", "::", "usage"}], "=", "\"\<\>\""}]}], "Input",
 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Usage messages for AtomicDensityMatrix.m", "Subsection",
 InitializationGroup -> True],

Cell[CellGroupData[{

Cell["Meta info", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"$ADMVersion", "::", "usage"}], "=", 
  "\"\<$ADMVersion returns the version number of the AtomicDensityMatrix \
package.\>\""}]], "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Implementation", "Section"],

Cell[BoxData[
 RowBox[{"Begin", "[", "\"\<`Private`\>\"", "]"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{"$ADMVersion", "=", "\"\<15.04.24\>\""}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{"End", "[", "]"}]], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Epilog", "Section"],

Cell["This section protects exported symbols and ends the package.", "Text"],

Cell[CellGroupData[{

Cell["Protect exported symbols", "Subsection"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Protect", "[", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"$Context", "<>", "\"\<*\>\""}], "]"}], "]"}], "*)"}]], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["End the package context", "Subsection"],

Cell[BoxData[
 RowBox[{"EndPackage", "[", "]"}]], "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{815, 814},
WindowMargins->{{158, Automatic}, {Automatic, 21}},
TrackCellChangeTimes->False,
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 3070, 63, 428, "Code"],
Cell[CellGroupData[{
Cell[3663, 88, 31, 0, 83, "Title"],
Cell[CellGroupData[{
Cell[3719, 92, 47, 0, 71, "Section"],
Cell[CellGroupData[{
Cell[3791, 96, 39, 0, 36, "Subsection"],
Cell[3833, 98, 124, 5, 29, "Text"],
Cell[3960, 105, 222, 6, 31, "Input",
 InitializationCell->True],
Cell[4185, 113, 36, 0, 29, "Text"],
Cell[4224, 115, 563, 14, 52, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[4824, 134, 38, 0, 36, "Subsection"],
Cell[4865, 136, 118, 3, 31, "Input"],
Cell[4986, 141, 250, 7, 31, "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5285, 154, 28, 0, 71, "Section"],
Cell[5316, 156, 60, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[5401, 160, 43, 0, 36, "Subsection"],
Cell[5447, 162, 121, 3, 31, "Input",
 InitializationCell->True],
Cell[5571, 167, 164, 4, 31, "Input",
 InitializationCell->True],
Cell[5738, 173, 132, 3, 31, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[5907, 181, 53, 0, 36, "Subsection"],
Cell[5963, 183, 1308, 26, 70, "Input",
 InitializationCell->True],
Cell[7274, 211, 123, 3, 70, "Input",
 InitializationCell->True],
Cell[7400, 216, 122, 3, 70, "Input",
 InitializationCell->True],
Cell[7525, 221, 122, 3, 70, "Input",
 InitializationCell->True],
Cell[7650, 226, 119, 3, 70, "Input",
 InitializationCell->True],
Cell[7772, 231, 243, 6, 70, "Input",
 InitializationCell->True],
Cell[8018, 239, 122, 3, 70, "Input",
 InitializationCell->True],
Cell[8143, 244, 127, 3, 70, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[8307, 252, 85, 1, 28, "Subsection"],
Cell[8395, 255, 914, 14, 70, "Input",
 InitializationCell->True],
Cell[9312, 271, 303, 7, 70, "Input",
 InitializationCell->True],
Cell[9618, 280, 306, 7, 70, "Input",
 InitializationCell->True],
Cell[9927, 289, 121, 3, 70, "Input",
 InitializationCell->True],
Cell[10051, 294, 1109, 25, 70, "Input",
 InitializationCell->True],
Cell[11163, 321, 855, 17, 70, "Input",
 InitializationCell->True],
Cell[12021, 340, 340, 8, 70, "Input",
 InitializationCell->True],
Cell[12364, 350, 598, 12, 70, "Input",
 InitializationCell->True],
Cell[12965, 364, 967, 17, 70, "Input",
 InitializationCell->True],
Cell[13935, 383, 541, 10, 70, "Input",
 InitializationCell->True],
Cell[14479, 395, 547, 10, 70, "Input",
 InitializationCell->True],
Cell[15029, 407, 925, 15, 70, "Input",
 InitializationCell->True],
Cell[15957, 424, 492, 9, 70, "Input",
 InitializationCell->True],
Cell[16452, 435, 137, 4, 70, "Input",
 InitializationCell->True],
Cell[16592, 441, 890, 14, 70, "Input",
 InitializationCell->True],
Cell[17485, 457, 302, 6, 70, "Input",
 InitializationCell->True],
Cell[17790, 465, 123, 3, 70, "Input",
 InitializationCell->True],
Cell[17916, 470, 204, 5, 70, "Input",
 InitializationCell->True],
Cell[18123, 477, 298, 6, 70, "Input",
 InitializationCell->True],
Cell[18424, 485, 297, 6, 70, "Input",
 InitializationCell->True],
Cell[18724, 493, 125, 3, 70, "Input",
 InitializationCell->True],
Cell[18852, 498, 134, 4, 70, "Input",
 InitializationCell->True],
Cell[18989, 504, 337, 7, 70, "Input",
 InitializationCell->True],
Cell[19329, 513, 313, 6, 70, "Input",
 InitializationCell->True],
Cell[19645, 521, 1284, 19, 70, "Input",
 InitializationCell->True],
Cell[20932, 542, 696, 12, 70, "Input",
 InitializationCell->True],
Cell[21631, 556, 559, 10, 70, "Input",
 InitializationCell->True],
Cell[22193, 568, 125, 3, 70, "Input",
 InitializationCell->True],
Cell[22321, 573, 123, 3, 70, "Input",
 InitializationCell->True],
Cell[22447, 578, 126, 3, 70, "Input",
 InitializationCell->True],
Cell[22576, 583, 120, 3, 70, "Input",
 InitializationCell->True],
Cell[22699, 588, 123, 3, 70, "Input",
 InitializationCell->True],
Cell[22825, 593, 583, 10, 70, "Input",
 InitializationCell->True],
Cell[23411, 605, 555, 9, 70, "Input",
 InitializationCell->True],
Cell[23969, 616, 698, 11, 70, "Input",
 InitializationCell->True],
Cell[24670, 629, 422, 8, 70, "Input",
 InitializationCell->True],
Cell[25095, 639, 519, 9, 70, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[25639, 652, 88, 1, 70, "Subsubsection"],
Cell[25730, 655, 217, 5, 70, "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[25996, 666, 86, 1, 28, "Subsection"],
Cell[26085, 669, 4324, 141, 70, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[30446, 815, 92, 1, 28, "Subsection"],
Cell[CellGroupData[{
Cell[30563, 820, 45, 0, 70, "Subsubsection"],
Cell[30611, 822, 339, 12, 70, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[30987, 839, 66, 0, 70, "Subsubsection"],
Cell[31056, 841, 335, 10, 70, "Input",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[31440, 857, 55, 0, 28, "Subsection"],
Cell[31498, 859, 1237, 40, 412, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[32760, 903, 58, 0, 28, "Subsubsection"],
Cell[32821, 905, 167, 4, 31, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[33037, 915, 84, 1, 36, "Subsection"],
Cell[33124, 918, 1675, 54, 572, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[34836, 977, 68, 0, 36, "Subsection"],
Cell[34907, 979, 311, 6, 72, "Input",
 InitializationCell->True],
Cell[35221, 987, 463, 9, 92, "Input",
 InitializationCell->True],
Cell[35687, 998, 135, 4, 31, "Input",
 InitializationCell->True],
Cell[35825, 1004, 140, 4, 31, "Input",
 InitializationCell->True],
Cell[35968, 1010, 134, 4, 31, "Input",
 InitializationCell->True],
Cell[36105, 1016, 301, 6, 72, "Input",
 InitializationCell->True],
Cell[36409, 1024, 126, 3, 31, "Input",
 InitializationCell->True],
Cell[36538, 1029, 2019, 32, 332, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[38594, 1066, 90, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[38709, 1071, 52, 0, 70, "Subsubsection"],
Cell[38764, 1073, 1659, 46, 70, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[40460, 1124, 45, 0, 70, "Subsubsection"],
Cell[40508, 1126, 127, 3, 70, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[40672, 1134, 58, 0, 70, "Subsubsection"],
Cell[40733, 1136, 344, 11, 70, "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[41126, 1153, 84, 1, 28, "Subsection"],
Cell[CellGroupData[{
Cell[41235, 1158, 50, 0, 70, "Subsubsection"],
Cell[41288, 1160, 148, 5, 70, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[41473, 1170, 49, 0, 70, "Subsubsection"],
Cell[41525, 1172, 258, 7, 70, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[41820, 1184, 41, 0, 70, "Subsubsection"],
Cell[41864, 1186, 333, 11, 70, "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[42246, 1203, 61, 0, 28, "Subsection"],
Cell[42310, 1205, 1690, 55, 70, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[44037, 1265, 92, 1, 28, "Subsection"],
Cell[CellGroupData[{
Cell[44154, 1270, 34, 0, 28, "Subsubsection"],
Cell[44191, 1272, 200, 5, 31, "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[44452, 1284, 33, 0, 71, "Section"],
Cell[44488, 1286, 101, 2, 31, "Input",
 InitializationCell->True],
Cell[44592, 1290, 101, 2, 31, "Input",
 InitializationCell->True],
Cell[44696, 1294, 78, 2, 31, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[44811, 1301, 25, 0, 71, "Section"],
Cell[44839, 1303, 76, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[44940, 1307, 46, 0, 36, "Subsection"],
Cell[44989, 1309, 189, 5, 31, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[45215, 1319, 45, 0, 36, "Subsection"],
Cell[45263, 1321, 85, 2, 31, "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
